package extend.mj;

import com.game.data.Score;


public class EXScore extends Score{
	public static final int WIN = 1;
	public static final int KONG = 2;
	public static final int NIAO = 3;
	public static final int PIAO_NIAO = 4;
	public static final int GENG_ZHUAN = 5;
	public static final int MA_GENG_GONG = 6;
	public static final int MAI_NIAO = 7;

	public EXScore(EXPlayer owner){
		super(owner);
	}
	
	protected void initLog() {
		this.round_log.put(WIN, 0);
		this.round_log.put(KONG, 0);
		this.round_log.put(NIAO, 0);
		this.round_log.put(PIAO_NIAO, 0);
		this.round_log.put(GENG_ZHUAN, 0);
		this.round_log.put(MA_GENG_GONG, 0);
		this.round_log.put(MAI_NIAO, 0);
	}
	
}
